This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026205 - [TestRun] Using the url to open a deleted run, 404 error page is shown
[TestRun] Using the url to open a deleted run, 404 error page is shown
Status: CLOSED NOTABUG
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.8.5
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Yuguang Wang
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 03:13 EST by Chen Chen
Modified: 2013-12-02 18:50 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 02:00:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chen Chen 2013-11-04 03:13:47 EST
Description of problem:
As summary.

Version-Release number of selected component (if applicable):
3.8.5

How reproducible:
100%

Steps to Reproduce:
Using the url to open a deleted run

Actual results:
404 error page is shown

Expected results:
TCMS tell the user this run is deleted, and give the link to go to home page.
Comment 1 cqi 2013-11-04 05:25:35 EST
Are you sure it's necessary to tell user the concrete reason why a TestRun does not exists, or any other object, such as TestPlan and TestCase, don't exist. 404 page is just being used to describe the fact that a requested resource does not exists, whatever reason causes the fact, for example deleted, disabled, or just hided temporarily.

In my opinion, the status code 404 in HTTP protocol can be treated as a notification against an error. It just tells requester the requested resource does not exist. Based on this opinion, what do you think to redesign the 404 page to provide more friendly messages rather than some simple error words.

Resources to many cool designs, https://www.google.com.hk/search?q=interesting+404+page&ie=utf-8&oe=utf-8&aq=t&rls=org.mozilla:en-US:official&client=firefox-a

Note You need to log in before you can comment on or make changes to this bug.